/*
 * @Author: zc
 * @Description: 登录
 * @version: 
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-08 15:39:38
 */
import request from '/@/utils/request';
//  全局配置
import appConfig from "/@/utils/appConfig"
/**
 * 用户登录
 * @param data 要传的参数值
 * @returns 返回接口数据
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 */
// @ts-ignore
export function signIn(data?: object) {
	return request({
		url: '/api/v1/Identity/login',
		method: 'post',
		data
	});
}
// export function signIn(data?: object) {
// 	return request({
// 		url: '/connect/token',
// 		method: 'post',
// 		data: qs.stringify(data),
// 		baseURL:appConfig.identityUrl, // 请求地址修改为身份认证地址
// 		headers: {
// 			'Content-Type': 'application/x-www-form-urlencoded',
// 		}
// 	});
// }
export function signOut(params: object){
	return request({
		url: '/user/signOut',
		method: 'post',
		data: params,
		baseURL:appConfig.identityUrl // 请求地址  可以在不同url中修改
	});
}
export function pwdCheck(){ //密码修改状态 未修改直接跳转到修改密码页面  不进入系统
	return request({
		url: '/api/v1/User/pwd-changed',
		method: 'get',
	});
}
export function getAppConfig(){ // 首页系统配置
	return request({
		url: '/api/v1/Home/home-page-info',
		method: 'get',
	});
}
export function loginPageInfo(){ // 登录系统配置
	return request({
		url: '/api/v1/Identity/login-page-info',
		method: 'get',
	});
}